### Virtual Method

# Gtk CellRendererget_preferred_height

deprecated: 4.10

#### Declaration [src]

    void
    get_preferred_height (
      GtkCellRenderer* cell,
      GtkWidget* widget,
      int* minimum_size,
      int* natural_size
    )

#### Description [src]

Retrieves a renderer’s natural size when rendered to `widget`.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`widget`

  Type: `GtkWidget`

  The `GtkWidget` this cell will be rendering to.

  The data is owned by the caller of the function.

`minimum_size`

  Type: `int*`

  Location to store the minimum size.

  The argument will be set by the function.
  The argument can be `NULL`.

`natural_size`

  Type: `int*`

  Location to store the natural size.

  The argument will be set by the function.
  The argument can be `NULL`.